Bug 73080 - [GTK] WebAudio wav resources access and management
Summary: [GTK] WebAudio wav resources access and management
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 61355
  Show dependency treegraph
 
Reported: 2011-11-24 07:17 PST by Philippe Normand
Modified: 2011-12-01 02:48 PST (History)
2 users (show)

See Also:


Attachments
proposed patch (3.46 KB, patch)
2011-11-25 02:21 PST, Philippe Normand
mrobinson: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2011-11-24 07:17:45 PST
We need to dist the platform/audio/resources and add a case in the GTK AudioBus implementation for accessing those in the uninstalled case.
Comment 1 Philippe Normand 2011-11-25 02:21:55 PST
Created attachment 116585 [details]
proposed patch
Comment 2 Martin Robinson 2011-11-30 13:27:02 PST
Comment on attachment 116585 [details]
proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=116585&action=review

> Source/WebCore/platform/audio/gtk/AudioBusGtk.cpp:41
> +        absoluteFilename.set(g_build_filename(UNINSTALLED_AUDIO_RESOURCES_DIR, filename.get(), NULL));

Maybe it's better to pass this as an environment variable similar to what we do for other variables like this.
Comment 3 Philippe Normand 2011-11-30 13:44:39 PST
Comment on attachment 116585 [details]
proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=116585&action=review

>> Source/WebCore/platform/audio/gtk/AudioBusGtk.cpp:41
>> +        absoluteFilename.set(g_build_filename(UNINSTALLED_AUDIO_RESOURCES_DIR, filename.get(), NULL));
> 
> Maybe it's better to pass this as an environment variable similar to what we do for other variables like this.

Hum I grepped around for getenv and failed to encounter such similar situation. That env var would be set by run-launcher?
Comment 4 Martin Robinson 2011-11-30 13:46:39 PST
They are typically in WebKit. One example is WEBKIT_INSPECTOR_PATH.
Comment 5 Philippe Normand 2011-12-01 02:48:56 PST
Committed r101644: <http://trac.webkit.org/changeset/101644>